#pragma once

#include "CoreMinimal.h"
#include "AISkill_Interaction_KillerPower.h"
#include "AISkill_Interaction_OniPounce.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAISkill_Interaction_OniPounce : public UAISkill_Interaction_KillerPower
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxHorizontalStartRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxVerticalStartRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float PalletHeightOffset;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxStartRangeWhenNavigationBlocked;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MinChargeTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float AttackRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float FacingAngle;

public:
	UAISkill_Interaction_OniPounce();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Interaction_OniPounce) { return 0; }
